iOS 3.1 Epic confusion

Discussion in 'iOS Jailbreak & Cydia' started by wereguy2, Feb 27, 2010.

  1. wereguy2

    wereguy2 New Member

    Joined:
    Mar 31, 2009
    Messages:
    136
    Likes Received:
    0
    Device:
    2G iPod touch
    Okay, let's get this straight. I have a 2g MC model iPod Touch (16gb) currently running jailbroken 3.0 firmware.

    Can I install and jailbreak 3.1.2 on this?

    I am also confused as to whether using blackra1n will only yield a tethered jailbreak and whether I will need to download (over wifi) Cydia after this.

    Also, what's wrong with 3.1.3? I have seen many guides on how to jailbreak this (redsn0w 0.9.4).
  2. kingcoolryan

    kingcoolryan Member

    Joined:
    Oct 13, 2009
    Messages:
    627
    Likes Received:
    0
    Device:
    iPad w/ 3G
    ahh reading your post made me want to hit my head with my ipod and stab myself with the reckage... well not really but then i realised while typing in

    ok on topic... yes if you upgrade to 3.1.2 it will be teathered and wityh 3.1.3 it wont be jailbreakable because u have a mc model...
  3. studangerous

    studangerous Super Moderator Emeritus Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    5,975
    Likes Received:
    30
    Device:
    iPhone 4 (Black)
    If you jb 3.1.2 with blackra1n you'll need to download and install Cydia. If you use redsn0w it comes prepacked with the Cydia payload (and others).

    As above 3.1.3 can only be jailbroken on older devices that are pwned for life, of which the iPod touch 3gen 32GB is not one.
  4. wereguy2

    wereguy2 New Member

    Joined:
    Mar 31, 2009
    Messages:
    136
    Likes Received:
    0
    Device:
    2G iPod touch
    Beeeeh, still kinda confused. I'll just stick with 3.0.
    Thanks anyway.
  5. ihax_ipt

    ihax_ipt Banned

    Joined:
    Jan 31, 2010
    Messages:
    241
    Likes Received:
    0
    Device:
    3G iPod touch
    Simple explanation:

    Jailbreak with blackra1n (3.1.2), then you'll need blackra1n to boot your iPod every time you COMPLETELY turn it off. (Slide to shut off)

    (Tethered jailbreak)
  6. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
    No he won't. There is no 16 GB MC.
  7. wereguy2

    wereguy2 New Member

    Joined:
    Mar 31, 2009
    Messages:
    136
    Likes Received:
    0
    Device:
    2G iPod touch
    sh*tsh*tsh*tsh*tsh*tFACEPALM! Lol, I just rechecked...
    (Can't help but put a Descartes reference here)

    Now, could someone tell me what's wrong with 3.1.3? Threads like this kinda make it seem... Eeeehhh....
  8. ihax_ipt

    ihax_ipt Banned

    Joined:
    Jan 31, 2010
    Messages:
    241
    Likes Received:
    0
    Device:
    3G iPod touch
    Okay..so which one do you have?
  9. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
    You simply have a 2nd gen if you have a 16GB model. Means you can jailbreak 3.1.3 with the newest version of redsn0w from the Dev Team.
  10. wereguy2

    wereguy2 New Member

    Joined:
    Mar 31, 2009
    Messages:
    136
    Likes Received:
    0
    Device:
    2G iPod touch
    Yeah that.
    So, there is nothing wrong with 3.1.3? Statements such as "DO NOT upgrade to 3.1.3 Firmware on your iPod or iPhone, stay at 3.1.2." kinda deter me from updating to it...

Share This Page